import os
import pathlib

PATH = pathlib.Path(__file__).parent.absolute()

DATASETS = {
    'HSVRSP_VARIABLE_SIZE_10': [
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_10_m_2_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_20_m_2_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_30_m_3_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_40_m_4_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_50_m_5_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_60_m_6_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_70_m_7_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_80_m_8_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_90_m_9_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_100_m_10_rc_10_rp_10.json')
    ],
    'HSVRSP_VARIABLE_SIZE_20': [
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_10_m_2_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_20_m_2_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_30_m_3_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_40_m_4_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_50_m_5_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_60_m_6_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_70_m_7_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_80_m_8_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_90_m_9_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_100_m_10_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_110_m_11_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_120_m_12_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_130_m_13_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_140_m_14_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_150_m_15_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_160_m_16_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_170_m_17_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_180_m_18_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_190_m_19_rc_10_rp_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_size', 'hsvrsp_n_200_m_20_rc_10_rp_10.json'),
    ],
    'HSVRSP_VARIABLE_HETEROGENEITY_20': [
        os.path.join(PATH, 'hsvrsp_variable_heterogeneity', 'hsvrsp_n_100_m_10_s_1.json'),
        os.path.join(PATH, 'hsvrsp_variable_heterogeneity', 'hsvrsp_n_100_m_10_s_2.json'),
        os.path.join(PATH, 'hsvrsp_variable_heterogeneity', 'hsvrsp_n_100_m_10_s_3.json'),
        os.path.join(PATH, 'hsvrsp_variable_heterogeneity', 'hsvrsp_n_100_m_10_s_4.json'),
        os.path.join(PATH, 'hsvrsp_variable_heterogeneity', 'hsvrsp_n_100_m_10_s_5.json'),
        os.path.join(PATH, 'hsvrsp_variable_heterogeneity', 'hsvrsp_n_100_m_10_s_6.json'),
        os.path.join(PATH, 'hsvrsp_variable_heterogeneity', 'hsvrsp_n_100_m_10_s_7.json'),
        os.path.join(PATH, 'hsvrsp_variable_heterogeneity', 'hsvrsp_n_100_m_10_s_8.json'),
        os.path.join(PATH, 'hsvrsp_variable_heterogeneity', 'hsvrsp_n_100_m_10_s_9.json'),
        os.path.join(PATH, 'hsvrsp_variable_heterogeneity', 'hsvrsp_n_100_m_10_s_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_heterogeneity', 'hsvrsp_n_100_m_10_s_11.json'),
        os.path.join(PATH, 'hsvrsp_variable_heterogeneity', 'hsvrsp_n_100_m_10_s_12.json'),
        os.path.join(PATH, 'hsvrsp_variable_heterogeneity', 'hsvrsp_n_100_m_10_s_13.json'),
        os.path.join(PATH, 'hsvrsp_variable_heterogeneity', 'hsvrsp_n_100_m_10_s_14.json'),
        os.path.join(PATH, 'hsvrsp_variable_heterogeneity', 'hsvrsp_n_100_m_10_s_15.json'),
        os.path.join(PATH, 'hsvrsp_variable_heterogeneity', 'hsvrsp_n_100_m_10_s_16.json'),
        os.path.join(PATH, 'hsvrsp_variable_heterogeneity', 'hsvrsp_n_100_m_10_s_17.json'),
        os.path.join(PATH, 'hsvrsp_variable_heterogeneity', 'hsvrsp_n_100_m_10_s_18.json'),
        os.path.join(PATH, 'hsvrsp_variable_heterogeneity', 'hsvrsp_n_100_m_10_s_19.json'),
        os.path.join(PATH, 'hsvrsp_variable_heterogeneity', 'hsvrsp_n_100_m_10_s_20.json'),
    ],
    'HSVRSP_VARIABLE_COOP_20': [
        os.path.join(PATH, 'hsvrsp_variable_coop', 'hsvrsp_n_100_m_10_ncoop_1.json'),
        os.path.join(PATH, 'hsvrsp_variable_coop', 'hsvrsp_n_100_m_10_ncoop_2.json'),
        os.path.join(PATH, 'hsvrsp_variable_coop', 'hsvrsp_n_100_m_10_ncoop_3.json'),
        os.path.join(PATH, 'hsvrsp_variable_coop', 'hsvrsp_n_100_m_10_ncoop_4.json'),
        os.path.join(PATH, 'hsvrsp_variable_coop', 'hsvrsp_n_100_m_10_ncoop_5.json'),
        os.path.join(PATH, 'hsvrsp_variable_coop', 'hsvrsp_n_100_m_10_ncoop_6.json'),
        os.path.join(PATH, 'hsvrsp_variable_coop', 'hsvrsp_n_100_m_10_ncoop_7.json'),
        os.path.join(PATH, 'hsvrsp_variable_coop', 'hsvrsp_n_100_m_10_ncoop_8.json'),
        os.path.join(PATH, 'hsvrsp_variable_coop', 'hsvrsp_n_100_m_10_ncoop_9.json'),
        os.path.join(PATH, 'hsvrsp_variable_coop', 'hsvrsp_n_100_m_10_ncoop_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_coop', 'hsvrsp_n_100_m_10_ncoop_11.json'),
        os.path.join(PATH, 'hsvrsp_variable_coop', 'hsvrsp_n_100_m_10_ncoop_12.json'),
        os.path.join(PATH, 'hsvrsp_variable_coop', 'hsvrsp_n_100_m_10_ncoop_13.json'),
        os.path.join(PATH, 'hsvrsp_variable_coop', 'hsvrsp_n_100_m_10_ncoop_14.json'),
        os.path.join(PATH, 'hsvrsp_variable_coop', 'hsvrsp_n_100_m_10_ncoop_15.json'),
        os.path.join(PATH, 'hsvrsp_variable_coop', 'hsvrsp_n_100_m_10_ncoop_16.json'),
        os.path.join(PATH, 'hsvrsp_variable_coop', 'hsvrsp_n_100_m_10_ncoop_17.json'),
        os.path.join(PATH, 'hsvrsp_variable_coop', 'hsvrsp_n_100_m_10_ncoop_18.json'),
        os.path.join(PATH, 'hsvrsp_variable_coop', 'hsvrsp_n_100_m_10_ncoop_19.json'),
        os.path.join(PATH, 'hsvrsp_variable_coop', 'hsvrsp_n_100_m_10_ncoop_20.json'),
    ],
    'HSVRSP_VARIABLE_PREC_DEEP_20': [
        os.path.join(PATH, 'hsvrsp_variable_prec_deep', 'hsvrsp_n_100_m_10_np_2.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_deep', 'hsvrsp_n_100_m_10_np_4.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_deep', 'hsvrsp_n_100_m_10_np_6.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_deep', 'hsvrsp_n_100_m_10_np_8.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_deep', 'hsvrsp_n_100_m_10_np_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_deep', 'hsvrsp_n_100_m_10_np_12.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_deep', 'hsvrsp_n_100_m_10_np_14.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_deep', 'hsvrsp_n_100_m_10_np_16.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_deep', 'hsvrsp_n_100_m_10_np_18.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_deep', 'hsvrsp_n_100_m_10_np_20.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_deep', 'hsvrsp_n_100_m_10_np_22.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_deep', 'hsvrsp_n_100_m_10_np_24.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_deep', 'hsvrsp_n_100_m_10_np_26.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_deep', 'hsvrsp_n_100_m_10_np_28.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_deep', 'hsvrsp_n_100_m_10_np_30.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_deep', 'hsvrsp_n_100_m_10_np_32.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_deep', 'hsvrsp_n_100_m_10_np_34.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_deep', 'hsvrsp_n_100_m_10_np_36.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_deep', 'hsvrsp_n_100_m_10_np_38.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_deep', 'hsvrsp_n_100_m_10_np_40.json'),
    ],
    'HSVRSP_VARIABLE_PREC_BROAD_20': [
        os.path.join(PATH, 'hsvrsp_variable_prec_broad', 'hsvrsp_n_100_m_10_np_2.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_broad', 'hsvrsp_n_100_m_10_np_4.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_broad', 'hsvrsp_n_100_m_10_np_6.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_broad', 'hsvrsp_n_100_m_10_np_8.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_broad', 'hsvrsp_n_100_m_10_np_10.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_broad', 'hsvrsp_n_100_m_10_np_12.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_broad', 'hsvrsp_n_100_m_10_np_14.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_broad', 'hsvrsp_n_100_m_10_np_16.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_broad', 'hsvrsp_n_100_m_10_np_18.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_broad', 'hsvrsp_n_100_m_10_np_20.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_broad', 'hsvrsp_n_100_m_10_np_22.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_broad', 'hsvrsp_n_100_m_10_np_24.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_broad', 'hsvrsp_n_100_m_10_np_26.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_broad', 'hsvrsp_n_100_m_10_np_28.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_broad', 'hsvrsp_n_100_m_10_np_30.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_broad', 'hsvrsp_n_100_m_10_np_32.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_broad', 'hsvrsp_n_100_m_10_np_34.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_broad', 'hsvrsp_n_100_m_10_np_36.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_broad', 'hsvrsp_n_100_m_10_np_38.json'),
        os.path.join(PATH, 'hsvrsp_variable_prec_broad', 'hsvrsp_n_100_m_10_np_40.json'),
    ],
    'VRP_VARIABLE_SIZE_20': [
        os.path.join(PATH, 'vrp_variable_size', 'vrp_n_10_m_1.json'),
        os.path.join(PATH, 'vrp_variable_size', 'vrp_n_20_m_2.json'),
        os.path.join(PATH, 'vrp_variable_size', 'vrp_n_30_m_3.json'),
        os.path.join(PATH, 'vrp_variable_size', 'vrp_n_40_m_4.json'),
        os.path.join(PATH, 'vrp_variable_size', 'vrp_n_50_m_5.json'),
        os.path.join(PATH, 'vrp_variable_size', 'vrp_n_60_m_6.json'),
        os.path.join(PATH, 'vrp_variable_size', 'vrp_n_70_m_7.json'),
        os.path.join(PATH, 'vrp_variable_size', 'vrp_n_80_m_8.json'),
        os.path.join(PATH, 'vrp_variable_size', 'vrp_n_90_m_9.json'),
        os.path.join(PATH, 'vrp_variable_size', 'vrp_n_100_m_10.json'),
        os.path.join(PATH, 'vrp_variable_size', 'vrp_n_110_m_11.json'),
        os.path.join(PATH, 'vrp_variable_size', 'vrp_n_120_m_12.json'),
        os.path.join(PATH, 'vrp_variable_size', 'vrp_n_130_m_12.json'),
        os.path.join(PATH, 'vrp_variable_size', 'vrp_n_140_m_14.json'),
        os.path.join(PATH, 'vrp_variable_size', 'vrp_n_150_m_15.json'),
        os.path.join(PATH, 'vrp_variable_size', 'vrp_n_160_m_16.json'),
        os.path.join(PATH, 'vrp_variable_size', 'vrp_n_170_m_17.json'),
        os.path.join(PATH, 'vrp_variable_size', 'vrp_n_180_m_18.json'),
        os.path.join(PATH, 'vrp_variable_size', 'vrp_n_190_m_19.json'),
        os.path.join(PATH, 'vrp_variable_size', 'vrp_n_200_m_20.json'),
    ]
}
